title: GraphQL Clients: Which one to choose?
description: Comprehensive list of GraphQL clients to use with the Slicknode GraphQL API

# GraphQL Clients

There are numerous clients available to query the slicknode GraphQL API. 

The recommended way to use the API for frontend applications (React, Angular, Vue, Android, iOS) 
is via the [Apollo Client](https://www.apollographql.com/client) with the [slicknode-apollo-link](https://github.com/slicknode/slicknode-apollo-link)
for automatic authentication handling.

**Mode clients:**

* Javascript
    * [slicknode-client](https://www.npmjs.com/package/slicknode-client) A lightweight client to make requests to Slicknode GraphQL servers.
    * [Relay](https://facebook.github.io/relay/) The GraphQL framework that Facebook uses for building React applications.
    * [Apollo](https://www.apollographql.com/client) A JavaScript GraphQL client, designed to work well with React, React Native, Angular 2, or just plain JavaScript.
* [Go](https://github.com/shurcooL/graphql#readme) A GraphQL client in Go.
* [Python](https://github.com/graphql-python/gql) A GraphQL client in Python.
* Swift / Objective-C iOS 
    * [Apollo iOS](https://www.apollographql.com/docs/ios/) A GraphQL client for iOS that returns results as query-specific Swift types, and integrates with Xcode to show your Swift source and GraphQL side by side, with inline validation errors.
* [Java / Android](https://github.com/apollographql/apollo-android) A strongly-typed, caching GraphQL client for Android, written in Java. 
