title: Data Modeling: Introduction to Data Modeling with Slicknode and GraphQL
description: How to model the data for your GraphQL API with Slicknode.  

# Data Modeling

The data model of your project is the foundation for the Slicknode server. It describes what kind
of data objects you can store, manipulate and read in your system. 

Slicknode uses the GraphQL SDL (Schema Definition Language) to describe the data structure. It uses the schema 
to automatically generate CRUD APIs and the CMS with the GUI. 

Slicknode is built with a modular architecture from the core. It lets you split the functionality
of your application in modules to keep complex applications organized. 
Everything in Slicknode is part of a module. That way, different teams across your organization
can work independently on different modules, test out things in isolation and reuse modules
in multiple projects. 

So the first step in designing your project is to determine how you want to structure your modules. 

[Lean how modules work](./modules.md)
